## pscol 1.6

=== Makefile ===
VERMAJOR = 1
VERMINOR = 6
CC = gcc
OBJ  =  parsevar.o convname.o convuids.o main.o allnum.o buildvar.o \
	buildpsfile.o readfile.o convplus.o convtype.o convcolor.o \
	strarraycmp.o isansi.o convansi.o
FILES = Makefile allnum.c buildpsfile.c buildvar.c config.h convansi.c \
	convcolor.c convname.c convplus.c convtype.c convuids.c isansi.c \
	main.c parsevar.c pscol.doc pscol.h pscolor.1 pscolor.2 readfile.c \
	strarraycmp.c
TAR = tar
DISTDIR = pscol-$(VERMAJOR).$(VERMINOR)
TARFILE = $(DISTDIR).tar.gz

all:	pscol

pscol:	$(OBJ)
	$(CC) $(OBJ) -o $@
	strip $@

objs:	$(OBJ)

noobjs: pscol
	rm *.o

main.o: main.c
	$(CC) -c $< -DPS_COL_VER=\"$(VERMAJOR).$(VERMINOR)\"

.c.o:
	$(CC) -c $<

sortaclean:
	rm -f *.o *~

clean:
	rm -f *.o pscol *~

distclean: clean
	rm -f $(TARFILE)
	rm -rf $(DISTDIR)

dist:	distclean
	mkdir $(DISTDIR)
	cp -a $(FILES) $(DISTDIR)
	$(TAR) zcf $(TARFILE) $(DISTDIR)
	rm -rf $(DISTDIR)

redo:	clean all

## pscol 2.2-4

=== Makefile ===
VERMAJOR = 2
VERMINOR = 2
CC = gcc
CFLAGS = -DPS_COL_VER=\"$(VERMAJOR).$(VERMINOR)\" -Wall
OBJ  =  parsevar.o convline.o convuids.o main.o allnum.o buildvar.o \
	buildpsfile.o readfile.o convtype.o convcolor.o isansi.o convert.o \
	strarraycmp.o needconv.o count.o error.o info.o warn.o listadd.o \
	listinit.o listdestroy.o listappend.o
FILES = COPYING KNOWNBUGS HISTORY Makefile README TODO allnum.c buildpsfile.c \
	buildvar.c config.h convcolor.c convert.c convline.c convtype.c \
	convuids.c count.c error.c info.c isansi.c listadd.c listappend.c \
	listdestroy.c listinit.c main.c mkdirs.sh needconv.c parsevar.c \
	pscol.h pscol.man pscolor pscolor1 pscolor2 pscolor3 pscolor4 \
	pscolor.dist pscolor.man readfile.c strarraycmp.c warn.c

TAR = tar
DISTDIR = pscol-$(VERMAJOR).$(VERMINOR)
TARFILE = $(DISTDIR).tar.gz
# root directory, usually /  needs to end with a /
# uncomment below and change to install to a different root
#ROOT = /
BINDIR = $(ROOT)/usr/bin
MANDIR = $(ROOT)/usr/man
ETCDIR = $(ROOT)/etc

all:	pscol

pscol:	$(OBJ)
	$(CC) $(OBJ) -o $@
	strip $@

objs:	$(OBJ)

noobjs: pscol
	rm *.o

sortaclean:
	rm -f *.o *~

clean:
	rm -f *.o pscol *~

distclean: clean
	rm -f $(TARFILE)
	rm -rf $(DISTDIR)

dist:	distclean
	mkdir $(DISTDIR)
	cp -a $(FILES) $(DISTDIR)
	$(TAR) zcf $(TARFILE) $(DISTDIR)
	rm -rf $(DISTDIR)

redo:	clean all

config: pscol
	rm -f pscolor
	./pscol -c -f pscolor
	echo make install or
	echo make installetc
	echo will install the pscolor that was just created from your environment

install: installbin installman installetc

installbin: all
	./mkdirs.sh $(BINDIR)
	install -m 0755 -s pscol $(BINDIR)

installman:
	./mkdirs.sh $(MANDIR)/man1 $(MANDIR)/man5
	install -m 0644 pscol.man $(MANDIR)/man1/pscol.1
	install -m 0644 pscolor.man $(MANDIR)/man5/pscolor.5

installetc:
	./mkdirs.sh $(ETCDIR)
	install -m 0644 pscolor $(ETCDIR)

=== debian/changelog ===
pscol (2.2-4) unstable; urgency=low

  * Fixed minor lintian errors.
  * Modified package description - pscol only works with old debian versions
    of procps.
  * Thinking about pulling this for the distribution..

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Mar 1998 20:02:17 -0800

pscol (2.2-3) unstable; urgency=low

  * New standards version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:29:03 -0800

pscol (2.2-2) unstable; urgency=low

  * Rebuilt with newer version of debhelper to fixes #15411, about 
    uncompressed changelog.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Nov 1997 00:18:31 -0500

pscol (2.2-1) unstable; urgency=low

  * New upstream release.
  * Doesn't assume background color is black anymore.
  * Use debhelper.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 24 Oct 1997 14:29:56 -0400

pscol (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 20 Jul 1997 17:14:09 -0400

pscol (1.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/rules for fakeroot.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 17 Jul 1997 14:29:13 -0400

pscol (1.7-1) unstable; urgency=low

  * New upstream release, fixes bugs #6700, #11252

 -- Joey Hess <joeyh@master.debian.org>  Mon, 14 Jul 1997 16:06:32 -0400

pscol (1.6-3) unstable; urgency=low

  * Rebuilt with glibc6.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 24 Jun 1997 17:04:07 -0400

pscol (1.6-2) unstable; urgency=low

  * Changed section to utils
  * Updated maintainer email address.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 8 Jan 1997 21:09:02 -0500

pscol (1.6-1) unstable; urgency=low

  * First release.

 -- Joey Hess <jeh22@cornell.edu>  Tue, 5 Nov 1996 16:12:50 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pscol
Section: utils
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: pscol
Architecture: any
Depends: ${shlibs:Depends}, procps (>=1.09)
Description: assists user in setting up ps and top colors
 Pscol makes it easier to set up complicated PS_COLORS and TOP_COLORS
 environment variables, which were used by oldver versions of procps. The
 current version of procps does not support color, so pscol probably won't
 be much help to you.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) ROOT=debian/tmp/ install
	dh_installdocs KNOWNBUGS README TODO
	dh_installexamples pscolor{1,2,3,4}
	dh_installmenu
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs HISTORY
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdebfiles
	dh_du
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
